Mono.Security [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 79 15 99 77 D2 D0 3A 8E 6B EA 7A 2E 74 E8 D1 AF CC 93 E8 85 19 74 95 2B B4 80 A1 2C 91 34 47 4D 04 06 24 47 C3 7E 0E 68 C0 80 53 6F CF 3C 3F BE 2F F9 C9 79 CE 99 84 75 E5 06 E8 CE 82 DD 5B 0F 35 0D C1 0E 93 BF 2E EE CF 87 4B 24 77 0C 50 81 DB EA 74 47 FD DA FA 27 7B 22 DE 47 D6 FF EA 44 96 74 A4 F9 FC CF 84 D1 50 69 08 93 80 28 4D BD D3 5F 46 CD FF 12 A1 BD 78 E4 EF 00 65 D0 16 DF] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Utility class to perform various convertion between CLR types and ASN.1. ITU ASN.1 standards are freely available at http://www.itu.int/ITU-T/studygroups/com17/languages/
- Method
  Mono.Security.ASN1 `` a to convert into an ASN.1 object. Convert a DateTime to an ASN.1 object. an object representing the date.

  Dates before 2050 are encoded using ASN.1's UTCTIME ("yyMMddHHmmss") while dates after 2050 are encoded with GENERALIZEDTIME ("yyyyMMddHHmmss"). This logic is implemented for compliance with RFC3280.

  `DateTime now = DateTime.UtcNow; ASN1 asnNow = ASN1Convert.FromOid (now);` 1.0.5000.0 2.0.0.0
- Method
  Mono.Security.ASN1 `` a to convert into an ASN.1 object. Convert an integer to convert into an ASN.1 object. an object representing the integer.

  The encoded result doesn't contain a leading 0.

  `int i = 16; ASN1 asnSixteen = ASN1Convert.FromOid (i);` 1.0.5000.0 2.0.0.0
- Method
  Mono.Security.ASN1 `` a OID string in the dotted (RFC) notation. Convert an OID string to an ASN.1 object. an object representing the OID.

  The convertion from a string OID to a binary one is done by . so the documented limitations applies.

  `string oidSha1 = "1.3.14.3.2.26"; ASN1 asnOidSha1 = ASN1Convert.FromOid (oidSha1);` 1.0.5000.0 2.0.0.0
- Method
  Mono.Security.ASN1 `` an array of bytes representing a big unsigned integer. Convert an unsigned big integer, represented as an array of bytes, to an ASN.1 object. an object representing a integer. To be added 1.0.5000.0 2.0.0.0
- Method
  System.DateTime `` an object containing a date/time. Convert an ASN.1 object to a DateTime. the decoded from the ASN.1 object. ASN.1 dates in UTCTIME format ("yyMMddHHmmss") are decoded as 19xx if "year" is bigger or equal to 50 or as 20xx if "year" is lesser than 50. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` an object containing an integer. Convert an ASN.1 object to an integer. an decoded from the ASN.1 object. A is thrown if the ASN.1 object doesn't represent an integer (type 2). 1.0.5000.0 2.0.0.0
- Method
  System.String `` an object containing an OID. Convert an ASN.1 object to a string OID (dotted notation). an OID string decoded from the ASN.1 object and encoded in the dotted notation. To be added 1.0.5000.0 2.0.0.0